Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.controller.event
Interface EventControllerContext

All Known Implementing Classes:
  AbstractEventControllerContext, EventControllerContextImpl, PageEventControllerContext

    public interface EventControllerContext

Version:
  $Revision: 630 $
Author:
  Julien Viet

Field Summary
`static int` | `CONSUMED_EVENT_FLOODED` .
`static int` | `EVENT_CONSUMER_INFO_NOT_AVAILABLE` .
`static int` | `EVENT_CONSUMER_NOT_AVAILABLE` .
`static int` | `EVENT_PRODUCER_INFO_NOT_AVAILABLE` .
`static int` | `EVENT_PRODUCER_NOT_AVAILABLE` .
`static int` | `PORTLET_DOES_NOT_CONSUME_EVENT` .
`static int` | `PRODUCED_EVENT_FLOODED` .

Method Summary
`void` | `eventConsumed(EventPhaseContext context, PortletWindowEvent consumedEvent, PortletInvocationResponse consumerResponse)` Context call back when an event is consumed by a portlet.
`void` | `eventDiscarded(EventPhaseContext context, PortletWindowEvent discardedEvent, int cause)` Context call back when an event is discarded by the controller for a specific reason.
`void` | `eventFailed(EventPhaseContext context, PortletWindowEvent failedEvent, java.lang.Throwable throwable)` Context call back when an event failed to be delivered because the invoker threw an exception.
`void` | `eventProduced(EventPhaseContext context, PortletWindowEvent producedEvent, PortletWindowEvent sourceEvent)` Context call back when an event is produced.

Field Detail

### EVENT_PRODUCER_NOT_AVAILABLE

    static final int EVENT_PRODUCER_NOT_AVAILABLE

  .

  See Also:
    Constant Field Values

### EVENT_PRODUCER_INFO_NOT_AVAILABLE

    static final int EVENT_PRODUCER_INFO_NOT_AVAILABLE

  .

  See Also:
    Constant Field Values

### EVENT_CONSUMER_NOT_AVAILABLE

    static final int EVENT_CONSUMER_NOT_AVAILABLE

  .

  See Also:
    Constant Field Values

### EVENT_CONSUMER_INFO_NOT_AVAILABLE

    static final int EVENT_CONSUMER_INFO_NOT_AVAILABLE

  .

  See Also:
    Constant Field Values

### PORTLET_DOES_NOT_CONSUME_EVENT

    static final int PORTLET_DOES_NOT_CONSUME_EVENT

  .

  See Also:
    Constant Field Values

### CONSUMED_EVENT_FLOODED

    static final int CONSUMED_EVENT_FLOODED

  .

  See Also:
    Constant Field Values

### PRODUCED_EVENT_FLOODED

    static final int PRODUCED_EVENT_FLOODED

  .

  See Also:
    Constant Field Values

Method Detail

### eventProduced

    void eventProduced(EventPhaseContext context,
                       PortletWindowEvent producedEvent,
                       PortletWindowEvent sourceEvent)

  Context call back when an event is produced. The session argument gives to the context the capability to queue events in response of the produced event or to interrupt the session. It has also access to the full history of distributed events in order to provide advanced implementation of event cycle detection.

  During the invocation of this method, any runtime exception thrown will signal a failure and the produced event will be discarded although the event distribution will continue.

  During the invocation of this method, any error thrown will be propagated to the portlet controller invoker.

  Parameters:
    `context` - the session
    `producedEvent` - the produced event
    `sourceEvent` - the source event

### eventConsumed

    void eventConsumed(EventPhaseContext context,
                       PortletWindowEvent consumedEvent,
                       PortletInvocationResponse consumerResponse)

  Context call back when an event is consumed by a portlet. The session argument only provides querying capabilities and it is not possible to queue event or interrupt the session.

  During the invocation of this method, any runtime exception thrown will be ignored by the controller.

  During the invocation of this method, any error thrown will be propagated to the portlet controller invoker.

  Parameters:
    `context` - the session
    `consumedEvent` - the consumed event
    `consumerResponse` - the consumer response

### eventFailed

    void eventFailed(EventPhaseContext context,
                     PortletWindowEvent failedEvent,
                     java.lang.Throwable throwable)

  Context call back when an event failed to be delivered because the invoker threw an exception. The session argument only provides querying capabilities and it is not possible to queue event or interrupt the session.

  During the invocation of this method, any runtime exception thrown will be ignored by the controller.

  During the invocation of this method, any error thrown will be propagated to the portlet controller invoker.

  Parameters:
    `context` - the session
    `failedEvent` - the failed event
    `throwable` - the throwable

### eventDiscarded

    void eventDiscarded(EventPhaseContext context,
                        PortletWindowEvent discardedEvent,
                        int cause)

  Context call back when an event is discarded by the controller for a specific reason. The session argument only provides querying capabilities and it is not possible to queue event or interrupt the session.

  The cause value is an integer among the constants

  - `CONSUMED_EVENT_FLOODED`
  - `EVENT_CONSUMER_INFO_NOT_AVAILABLE`
  - `EVENT_CONSUMER_NOT_AVAILABLE`
  - `EVENT_PRODUCER_INFO_NOT_AVAILABLE`
  - `EVENT_PRODUCER_NOT_AVAILABLE`
  - `PORTLET_DOES_NOT_CONSUME_EVENT`
  - `PRODUCED_EVENT_FLOODED`

  During the invocation of this method, any runtime exception thrown will be ignored by the controller.

  During the invocation of this method, any error thrown will be propagated to the portlet controller invoker.

  Parameters:
    `context` - the session
    `discardedEvent` - the discarded event
    `cause` - the cause

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.